Bug 3083 - ldd shows SysVinit's /usr/bin/shutdown need libgdk, libgtk
ldd shows SysVinit's /usr/bin/shutdown need libgdk, libgtk
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: SysVinit (Show other bugs)
6.0
All Linux
medium Severity low
: ---
: ---
Assigned To: Cristian Gafton
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-05-26 23:53 EDT by manishv
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-05-27 12:39:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description manishv 1999-05-26 23:53:41 EDT
doing an rpm -qf /usr/bin/shutdown reveals that
/usr/bin/shutdown is owned by the SysVinit package.

ldd reveals that /usr/bin/shutdown is linked against libgdk
and libgtk.  /sbin/shutdown, fortunately, does not suffer
from this.  Furthermore, SysVinit does not depend on any
package that contains gtk+.  This seems broken to me.
Certainly the dependencies are broken, and most likely so is
the fact that /usr/bin/shutdown is linked against libgtk and
libgdk.
Comment 1 Jay Turner 1999-05-27 10:27:59 EDT
This issue has been forwarded to a developer for further review.
Comment 2 Jeff Johnson 1999-05-27 12:39:59 EDT
The short answer is that /sbin/shutdown is the beast you
want, not /usr/bin/shutdown.

Here's my best guess at the longer answer:
The file /usr/bin/shutdown is a symlink to consolehelper
which does not only shutdowns but other PAM console functions.
Some of these functions require changing the controlling
tty and updating utmp entries. These operations are implemented
using the gnome-terminal abstraction which needs gtk.

Note You need to log in before you can comment on or make changes to this bug.